---
layout: handbook-page-toc
title: Solutions Architecture Collaboration Project
description: >-
  Collaboration project with the customer and product as a forum to discuss
---
<%= partial("handbook/customer-success/solutions-architects/includes/navigation") %>


# SA Collaboration Project
{:.no_toc}

## When should a Collaboration Project be considered during an engagement with a customer?

In most scenarios, Solution Architects (SAs) should follow the SA process maps and Engagement Model defined in each region to engage with customers in an organised, structured and consistent manner to ensure the customer is successful with their GitLab technical evaluation. 

In some cases, where GitLab engages with major enterprises with multiple different stakeholders from multiple different divisions (especially in scenarios with a large netARR) an extended engagement may be required and coordinating regular activities via a GitLab SA Collaboration Project may prove to be beneficial. This can also be the case when multiple GitLab divisions become involved in the sales process, such as Professional Services or Product teams.

## Collaboration Project - Internal and External Impact 

The following diagram provides a high-level view of the GitLab Collaboration Project in conjunction with various internal and external stakeholders. It is crucial to highlight the internal and external impact, which will be achieved through the GitLab Collaboration Project owned by Solution Architect.

<div style="width: 640px; height: 480px; margin: 10px; position: relative;"><iframe allowfullscreen frameborder="0" style="width:640px; height:480px" src="https://lucid.app/documents/embedded/5cb290db-f70b-4024-9e5c-ca944bc8dc38" id="JKftUP8938-y"></iframe></div>

### Internal Impact
GitLab Collaboration Project is highly beneficial to find out the various customer insights-based Solution Architects' collaborations with the customer team. Example cross-functional teams at GitLab, which will benefit from GitLab Collaboration Project, include the Product, Marketing, Professional Services and Sales Team. The internal impact includes enhancements in product roadmaps, product feedback and enhanced strategy or strategic marketing influence. 
For instance, feedback based on the collaboration project might result in reviewing, improving or even adding new product solutions via [Solutions Go-to-market](https://about.gitlab.com/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/) marketing activities.   

### External Impact
Another critical benefit of the GitLab Collaboration Project is the external impact on the customer stakeholders, communication and strategy. In complex Enterprise environments, project scope and alignment are the keys that need to be appropriately managed. Solution Architect activities during technical evaluation include customer technical validations, requirements clarifications, and prioritisations, which result in good governance and stakeholder alignment. GitLab Collaboration Project provides structured communication between internal and external stakeholders, simultaneously providing a collaborative and transparent environment.    

## Usage
Collaboration projects take advantage of the Agile Planning capabilities of GitLab such as issues, iterations, and boards to allow GitLab teams to collaborate with customer teams effectively during an evaluation period.

### How does a customer use a Collaboration Project successfully?
SA Collaboration Projects acheive their most significant value if the customer becomes an active participant. The customer is able to start realising how easily they can collaborate on the GitLab platform. On larger and more strategic customer opportunities, the GitLab Solutions Architecture team can also assist in triaging relevant product management and engineering queries asynchronously. 

Customers should raise issues when they have specific questions, use cases, or topics about the GitLab product and use the collection of issues as a knowledge base for their technical evaluation and as a basis for internal documentation of processes after adopting GitLab.
[WIP]



### How does a Solution Architect utilise a Collaboration Project?
Once a solution architect has determined that an opportunity will span across multiple internal or customer teams they will create a project in the <TBC> group on GitLab.com. Key participants should be added as members of the project (SAL, CSM, PS, Product, Customer Stakeholders) 

Participants can then use GitLab issues to raise key use cases and questions. 
These issues are the key collaboration point between GitLab team members and the customer team, they can be used to share architecture diagrams, documentation links, and answer questions raised by the customer.

When using a Collaboration Project, it is important to stay consistent to meet the customer. A Solutions Architect should determine with the customer an appropriate cadence to meet up with key stakeholders to review and summarise the questions from the last cadence cycle. A good guideline for the cadence timing is around fortnightly. One of the best ways to track these cadences is using GitLab Iterations. This allows you to quickly summarise the issues raised in an iteration through scoped boards. 
[WIP - summarising a team meeting agenda etc.]


### Key Use Cases
- Multiple customer stakeholders spanning various departments or agencies
- High levels on communication with product required (E.g. Dedicated, Product Co-Development)

### Benefits
Collaboration projects allow the Solution Architect to track questions outside of email or meeting notes in a transparent way with the customer and allows for easy collaboration across multiple stakeholder engagements. 
Customers are enabled to have a long term record of answers to questions in an organised way, which allows them to take the information and use it to speed up the creation of internal processes and documentation.
Dogfooding GitLab early in the opportunity cadence helps to get customers more familiar with the GitLab User Interface and workflows.
GitLab Issues allow Solutions Architecture to integrate with existing workflows in the CSM, PS, and Product divisions enabling increased collaboration across the GitLab departments.

- Context can get lost via emails
- G-docs shared with customer are usually sequential; hard to separate issues based on topics or use-cases
- New stakeholders and team members will be able to ramp up quickly
- Handover to the CSM Organisation is a lot easier for these sort of accounts
- Linked Issues from customers provide direct feedback to Product. Likewise, product can chime in on customer issues and ask questions asynchronously

### Example Collaboration Projects (Internal)

1. [GitLab Dedicated Customer in APAC]

